So AT&T unlocked my iphone 4...

Discussion in 'Jailbreaks and iOS Hacks' started by psywzrd, Apr 13, 2012.

  1. psywzrd macrumors 68030

    Joined:
    Feb 6, 2008
    #1
    Just wanted to get confirmation on something. I'm on AT&T and my phone is jailbroken on 5.0.1 with the 1.59.00 bb (I preserved the bb for resale value and just in case I actually need to unlock at some point). I've also had ultrasn0w installed strictly to fix the signal strength issue, but I've found ultrasn0w to be buggy and I want to get rid of it. Now that AT&T has officially unlocked my iphone 4, I no longer need to stay on the 1.59.00 bb; however, it seems like my only option is to update to stock 5.1 to allow my bb to update and then go back to 5.0.1 via a custom ipsw (I do have 5.0.1 blobs saved) - that will leave me on 5.0.1 with the latest bb. Will that reintroduce the signal strength display issue that was caused by having mismatched firmware and bb versions?

    My preference would be to get to 5.0.1 with whatever bb came with that firmware version but that seems to be impossible. What is my best option if I want my signal strength to display correctly but don't want to keep ultrasn0w installed?
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    Just wait for the untethered 5.1 jailbreak, then you can restore to stock and get rid of the baseband mismatch.
    Many of us are in the same boat still having 1.59.xx.
     
  3. psywzrd thread starter macrumors 68030

    Joined:
    Feb 6, 2008
    #3
    Gotcha. So just keep ultrasn0w installed for now and deal with the instability OR get rid of ultrasn0w and deal with the signal strength display issue? Either way, this will be a non-issue once the untethered 5.1 jb comes out. Sounds good to me. I'm just happy to have an officially unlocked phone now. Thank you.
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    Yes, like I posted on another thread you can never go to the stock 5.0.1 baseband now.
    Only option is to stick with the 01.59.00 or go up to stock 5.1 and then downgrade back to custom 5.0.1
    I doubt you will have the signal issue with the newer baseband 04.12.01 on 5.0.1 firmware.

    http://forums.macrumors.com/showpost.php?p=14717691&postcount=252
     
  5. HPLouis macrumors regular

    Joined:
    Nov 12, 2010
    #5
    I have the 4.12 baseband on both of my iPhones and there's no problem with either of them.

    I went to 5.1 to update the basebands and then went back to 5.01 with stitched firmwares. I then jailbroken with Redsn0w and now I'm jailbroken on the new basebands too.

    Henry
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    There you have it.
    Good info Henry:D
    So your signal bars on the top left corner display correctly or it shows only 1 bar always?
     
  7. HPLouis macrumors regular

    Joined:
    Nov 12, 2010
    #7
    The bars are correct.

    Also, to restore back to 5.01 with the updated baseband, I had to use the NO_BB custom firmware. When I tried the stock firmware, it errored out.
     
  8. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #8
    Yes, you always need a custom stitched no bb ipsw with your full shsh blobs to restored to older firmware now.
    You can never install a stock ipsw that Apple no longer signs past 5.0 firmware.
    Apple implemented new blobs security with 5.0 and higher.
     
  9. psywzrd thread starter macrumors 68030

    Joined:
    Feb 6, 2008
    #9
    Thank you so much for the replies guys. At this point it sounds like the best thing to do is just wait for the untethered 5.1jb. There's no sense in updating to stock 5.1 just for the bb and then downgrading to 5.0.1 and having to redo my jb. As long as the untethered jb for 5.1 doesn't take too long to come out, I'm just going to wait.
     
  10. ninjaw95 macrumors 6502

    Joined:
    Nov 30, 2011
    #10
    same thing here, on 4.12 with iOS 5.0.1
    this wont cause any problem will it?
     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #11
    Juice is correct, this will work just fine if you are in a hurry to get rid of baseband mis-match and have the 5.0.1 hash and APTicket file saved.
     
  12. HPLouis macrumors regular

    Joined:
    Nov 12, 2010
    #12
    No problem at all. My wife and I have been running both of our iPhones in this configuration and we noticed no ill manners or anything.

    Henry
     
  13. dieburnbot macrumors 6502a

    dieburnbot

    Joined:
    Aug 18, 2008
    Location:
    CA
    #13
    Same boat here on my old iPhone 4. AT&T unlocked it, but now I want to update the baseband. It kept giving me error 3194 because Apple isn't signing 5.0.1 anymore so I used iFaith and built a signed 5.0.1 with my saved SHSH blobs, but that didn't update the baseband.

    So can anyone who has tried tell me if this would work? I update to 5.1 and then I use the 5.0.1 firmware I made with iFaith and my saved SHSH blobs, will it let me downgrade 5.1 to 5.0.1 and give me the new baseband? Or do I have do something else?
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    As stated, you must upgrade to a stock IPSW currently signed by Apple (5.1) to upgrade baseband.
     
  15. dieburnbot macrumors 6502a

    dieburnbot

    Joined:
    Aug 18, 2008
    Location:
    CA
    #15
    Yeah I understand that, but then how would I go about downgrading to 5.0.1 after running the stock signed 5.1 so I can get the untethered jailbreak? Will the 5.0.1 firmware I created using iFaith and my saved SHSH blobs let me downgrade and keep the 5.1 baseband?
     
  16. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #16
    Yes, if you created a custom 5.0.1 with your stitched blobs you're good.
     
  17. dieburnbot macrumors 6502a

    dieburnbot

    Joined:
    Aug 18, 2008
    Location:
    CA
    #17
    Ok thanks I will go give this a shot. I hope I don't end up stuck on 5.1, but I have got enough confirmation. :) Ty
     
  18. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #18
    Good luck.
    As long as you have shsh blobs for 5.0.1 you can always restore to that at any time.
     
  19. Kyotoma macrumors 68000

    Kyotoma

    Joined:
    Nov 11, 2010
    Location:
    Carnegie and Ontario
    #19
    I'm on iOS 5.0.1 with baseband 4.12.01 and have had no issues. Signal or otherwise.
     
  20. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #20
    You would if you were on 5.0.1 and bb. 01.59.00
    You will still get signal but the bars will always display 1 bar constantly.
     
  21. dieburnbot, Apr 14, 2012
    Last edited: Apr 14, 2012

    dieburnbot macrumors 6502a

    dieburnbot

    Joined:
    Aug 18, 2008
    Location:
    CA
    #21
    It worked. I updated to 5.1 and then downgraded to 5.0.1 using my ifaith firmware with shsh blobs in. Running with updated baseband on 5.0.1 perfectly and signal bars now work. Thanks everyone.
     

Share This Page